Subject: Re: question on symbol exports

From: Chris Friesen <[email-masked]>
Date: Tue, 08 Feb 2005 09:36:20 -0600

Dan Malek wrote:
> 
> On Feb 7, 2005, at 4:35 PM, Benjamin Herrenschmidt wrote:
> 
>> Interesting... more than no swap, you must also make sure you have no
>> r/w mmap'ed file (which are technically equivalent to swap).
> 
> 
> Yeah, I kinda had a similar thought.  Just because you aren't
> swapping doesn't mean the VM subsystem isn't looking at dirty bits,
> too.  It could potentially steal a page that it thinks can be replaced
> from either a zero-fill or reading again from persistent storage.

In our existing case, the app also mlock()s the pages in question.  This 
should get around these two possible sources of inaccuracy.

Chris